﻿/*****************************************************************************
*                                                                            * 
*  Ｃ＃ 文字列よりの計算サンプルプログラム2 Version 1.0  2013年(平成25年)12月   *  
*								                                             *
*****************************************************************************/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Runtime.InteropServices;      // ＤＬＬを使用する時必要

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public double X, Y, Z, ANS; public string F3 = "F3", F5 = "F5", ws;
        /*************************************************************************
        *								                                    	 *
        *                      Form1 のスタート                                   *                           
        *									                                     * 
        *************************************************************************/  
        public Form1()
        {

            InitializeComponent();

        }    // public Form1()の終了

/*----------CALC11.dllのクラス化及び関数 Num_Form_CalcA宣言-----*/
        class CALC11DLL
        {

            [DllImport("CALC11.dll", CallingConvention = CallingConvention.Cdecl)]
            public static extern int Num_Form_CalcA(String lpText, double X, double Y, double Z, ref double ANS);

        }
        /*******************************************************************************
        *　　　Form1 Loadイベント(初期設定)                                            *
        *******************************************************************************/
        private void Form1_Load(object sender, EventArgs e)
        {
           textBox1.Text = "(1+1/x)^x";  // 初期の計算式を設定
           string s1, s2, s3;
           X = 200000; Y = 0; Z = 0;
           s1 = X.ToString(F3); textBox2.Text = s1;
           s2 = Y.ToString(F3); textBox3.Text = s2;
           s3 = Z.ToString(F3); textBox4.Text = s3;            
        }
        /*******************************************************************************
        *　  button1_Clickイベント(実行ボタンが押された)                               *
        *******************************************************************************/
        private void button1_Click(object sender, EventArgs e)
        {

            int RETCD = CALC11DLL.Num_Form_CalcA(textBox1.Text, X, Y, Z, ref ANS);
            if (RETCD < 100)
            {
                string s = ANS.ToString(F5); label5.Text = s;
            }

        }
        /*******************************************************************************
        *　　　textBox2_TextChangedイベント(変数 X をセット)                           *
        *******************************************************************************/
        private void textBox2_TextChanged(object sender, EventArgs e)
        {
            ws = textBox2.Text;
            if ((ws != null) && (ws.Length != 0))
            {
                X = double.Parse(ws);
            }
            else　　　　　 // ws=null 又は ws.Length=0 だとdouble.Parseはエラーになる
            {
                X = 0; textBox2.Text = "0";
            }  
        }
        /*******************************************************************************
        *　　　textBox3_TextChangedイベント(変数 Y をセット)                           *
        *******************************************************************************/
        private void textBox3_TextChanged(object sender, EventArgs e)
        {
            ws = textBox3.Text;
            if ((ws != null) && (ws.Length != 0))
            {
                Y = double.Parse(ws);
            }
            else　　　　　 // ws=null 又は ws.Length=0 だとdouble.Parseはエラーになる
            {
                Y = 0; textBox3.Text = "0";
            }  
        }
        /*******************************************************************************
        *　　　textBox4_TextChangedイベント(変数 Z をセット)                           *
        *******************************************************************************/
        private void textBox4_TextChanged(object sender, EventArgs e)
        {
            ws = textBox4.Text;
            if ((ws != null) && (ws.Length != 0))
            {
                Z = double.Parse(ws);
            }
            else　　　　　 // ws=null 又は ws.Length=0 だとdouble.Parseはエラーになる

            {
                Z = 0; textBox4.Text = "0";
            }  
        }
        /*******************************************************************************
        *　　　herupuToolStripMenuItem_Clickイベント(ヘルプ　ファイルの表示)             *
        *******************************************************************************/
        private void herupuToolStripMenuItem_Click(object sender, EventArgs e)
        {    
            Help.ShowHelp(new Control(), "文字列よりの計算.chm");
        }

    }     // public partial class Form1 : Form の終わり
}　　　　 // namespace WindowsFormsApplication1 の終わり

